%define upstream_name    Complete-File
%define upstream_version 0.440

%global __requires_exclude perl\\(this\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Completion routines related to files
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Complete/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Complete::Common) >= 0.220.0
BuildRequires: perl(Complete::Path) >= 0.200.0
BuildRequires: perl(Complete::Util) >= 0.603.0
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Glob)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::chdir)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Completion routines related to files

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test || true

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Feb 15 2020 tv <tv> 0.440.0-1.mga8
+ Revision: 1525390
- update to 0.440

* Fri Feb 14 2020 umeabot <umeabot> 0.430.0-2.mga8
+ Revision: 1520670
- Mageia 8 Mass Rebuild

* Tue Dec 04 2018 shlomif <shlomif> 0.430.0-1.mga7
+ Revision: 1338298
- build fix
- add desc
- cpan2dist

